summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorPanu Matilainen <pmatilai@redhat.com>2010-12-03 12:44:49 +0200
committerPanu Matilainen <pmatilai@redhat.com>2010-12-03 12:44:49 +0200
commit0cc5e818a9305e7443dd46252b9d4af6833b733e (patch)
tree88201011b15b29dbc2ddddd9dc4f8793a191f051 /scripts
parentccab61193ea6d3e46997f49f0333f93a04b04750 (diff)
downloadrpm-0cc5e818a9305e7443dd46252b9d4af6833b733e.tar.gz
rpm-0cc5e818a9305e7443dd46252b9d4af6833b733e.tar.bz2
rpm-0cc5e818a9305e7443dd46252b9d4af6833b733e.zip
Require pkg-config 0.24 for creating pkgconfig() dependencies
- The support for --print-requires|provides was only upstreamed in pkg-config 0.24, prior to that it relied on distros patching their pkg-config. Rpm relying on non-upstream stuff is not good... Now that it's upstream we can make a clean break and simply not even try to generate the dependencies with anything older. - The upstreamed version behaves slightly differently from what distros were patching with, for rpm's purposes we also want --print-requires-private now.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/pkgconfigdeps.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/pkgconfigdeps.sh b/scripts/pkgconfigdeps.sh
index 00cba0061..270dd745b 100755
--- a/scripts/pkgconfigdeps.sh
+++ b/scripts/pkgconfigdeps.sh
@@ -11,6 +11,11 @@ test -x $pkgconfig || {
exit 0
}
+$pkgconfig --atleast-pkgconfig-version="0.24" || {
+ cat > /dev/null
+ exit 0
+}
+
case $1 in
-P|--provides)
while read filename ; do
@@ -39,7 +44,7 @@ case $1 in
[ $i -eq 1 ] && echo "$pkgconfig"
DIR="`dirname ${filename}`"
export PKG_CONFIG_PATH="$DIR:$DIR/../../share/pkgconfig"
- $pkgconfig --print-requires "$filename" 2> /dev/null | while read n r v ; do
+ $pkgconfig --print-requires --print-requires-private "$filename" 2> /dev/null | while read n r v ; do
[ -n "$n" ] || continue
echo -n "pkgconfig($n) "
[ -n "$r" ] && [ -n "$v" ] && echo -n "$r" "$v"